For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
      • POSTGenerate Interchange token
      • GETGet Quote from Interchange token
  • Products API
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Quotes APIInterchange

Get Quote from Interchange token

GET
https://api-staging.nibtravelinsurance.com/quotes/v2/:brandCode/interchange
GET
/quotes/v2/:brandCode/interchange
$curl https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/interchange \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "quote": {
3 "id": "id",
4 "isNew": true,
5 "isPurchased": true,
6 "hasConfigChanged": true,
7 "isPurchaseInitiated": true,
8 "clientSessionId": "clientSessionId",
9 "policyNumber": "policyNumber",
10 "stage": "INITIAL",
11 "evaluatedAt": "evaluatedAt",
12 "input": {
13 "cultureCode": "cultureCode",
14 "customerInterfaceId": 8,
15 "quoteType": "SINGLETRIP",
16 "overrideDuplicateCheck": true,
17 "skipPersistence": true,
18 "planId": 1000000,
19 "quoteReferencePlanId": 1000000,
20 "destinationCountryCodes": [
21 "destinationCountryCodes"
22 ],
23 "departureDate": "2024-11-30",
24 "returnDate": "2024-11-30",
25 "coverEndDate": "2024-11-30",
26 "campaignCode": "campaignCode",
27 "partnerCode": "partnerCode",
28 "tripValue": 1.1,
29 "basicOptions": [
30 {}
31 ],
32 "policyHolders": [
33 {
34 "dateOfBirth": "2024-11-30"
35 }
36 ],
37 "regulatoryDeclarations": [
38 {}
39 ]
40 },
41 "priceResults": [
42 {}
43 ],
44 "prices": [
45 {}
46 ],
47 "clientInfo": {
48 "ipAddress": "ipAddress",
49 "userAgent": "userAgent",
50 "referer": "referer"
51 },
52 "audit": {
53 "createdAt": "createdAt",
54 "updatedAt": "updatedAt",
55 "createdByUsername": "createdByUsername",
56 "updatedByUsername": "updatedByUsername",
57 "createdByUserId": 1000000,
58 "updatedByUserId": 1000000
59 },
60 "customerUserId": 1000000,
61 "brandCode": "brandCode",
62 "validation": {
63 "isValid": true,
64 "errors": [
65 {}
66 ]
67 }
68 }
69}
Was this page helpful?
Previous

Quote configuration

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired
Allowed values:

Query parameters

tokenstringOptional

Response

Success
quoteobject